<template>
  <form class="form-inline" @submit.prevent="performSearch">
    <div class="form-group">
      <input
        class="form-control"
        type="text"
        name="search"
        placeholder="Enter Search Term"
        v-model="searchQuery"
      />
      <input class="form-control" type="submit" name="Search" />
    </div>
  </form>
</template>

<script>
import { mapActions } from "vuex";

export default {
  data() {
    return {
      searchQuery: "",
    };
  },
  methods: {
    performSearch() {
      this.setQuery(this.searchQuery);
    },
    ...mapActions(["setQuery"]),
  },
};
</script>

<style></style>
